Skip to main content
POST
Add a comment to an exception

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

X-Idempotency-Key
string

Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.

See Retries and idempotency for details.

Path Parameters

exceptionId
string
required

The unique identifier of the exception.

Body

application/json

Comment payload

Request payload for adding a comment to an exception

content
string
required

Comment text content

Required string length: 1 - 5000

Response

Comment added successfully.

The response includes the X-Idempotency-Replayed header.

If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.

See Retries and idempotency for more details.

A comment on an exception

id
string

Unique identifier of the comment

Example:

"019c96a0-2a10-7dfe-b5c1-8a1b2c3d4e5f"

exceptionId
string

The exception this comment belongs to

author
string

Author of the comment

content
string

Comment text content

createdAt
string<date-time>

Timestamp when the comment was created

updatedAt
string<date-time>

Timestamp when the comment was last updated